package cn.citycraft.ProtectItem.listen;

import java.util.Collection;

import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.ItemStack;

import cn.citycraft.ProtectItem.ProtectItem;
import cn.citycraft.ProtectItem.utils.ActionType;

public class InteractItemListen implements Listener {
	ProtectItem plugin;

	public InteractItemListen(final ProtectItem main) {
		plugin = main;
	}

	@EventHandler(ignoreCancelled = true)
	public void onPickupItem(final PlayerInteractEvent e) {
		final Player p = e.getPlayer();
		final ItemStack i = p.getItemInHand();
		if (plugin.isCantAction(p, i, ActionType.Interact)) {
			e.setCancelled(true);
			return;
		}
		final Block b = e.getClickedBlock();
		final Collection<ItemStack> items = b.getDrops();
		for (final ItemStack itemStack : items) {
			if (plugin.isCantAction(p, itemStack, ActionType.Interact)) {
				e.setCancelled(true);
				return;
			}
		}
	}
}
