package cn.citycraft.ProtectItem.listen;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

import cn.citycraft.ProtectItem.ProtectItem;
import cn.citycraft.ProtectItem.utils.ActionType;

public class ClickItemListen implements Listener {
	ProtectItem plugin;

	public ClickItemListen(final ProtectItem main) {
		plugin = main;
	}

	@EventHandler(ignoreCancelled = true)
	public void onClickItem(final InventoryClickEvent e) {
		final Player p = (Player) e.getWhoClicked();
		final Inventory inv = e.getInventory();
		final int solt = e.getSlot();
		try {
			final ItemStack i = inv.getItem(solt);
			if (i != null && i.getType() != Material.AIR) {
				if (plugin.isCantAction(p, i, ActionType.Click)) {
					inv.setItem(solt, new ItemStack(Material.AIR));
				}
			}
		} catch (final Exception e2) {
		}
	}
}
