package cn.citycraft.ProtectItem.listen;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerItemHeldEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

import cn.citycraft.ProtectItem.ProtectItem;
import cn.citycraft.ProtectItem.utils.ActionType;

public class ItemHeldListen implements Listener {
	ProtectItem plugin;

	public ItemHeldListen(final ProtectItem main) {
		plugin = main;
	}

	@EventHandler(ignoreCancelled = true)
	public void onItemHeld(final PlayerItemHeldEvent e) {
		final Player p = e.getPlayer();
		final Inventory inv = p.getInventory();
		final int slot = e.getNewSlot();
		final ItemStack i = inv.getItem(slot);
		if (plugin.isCantAction(p, i, ActionType.Held)) {
			try {
				inv.setItem(slot, new ItemStack(Material.AIR));
			} catch (final Exception e2) {
			}
		}
	}
}
